> ## Documentation Index
> Fetch the complete documentation index at: https://aegisterspa.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Assessment

> Retrieves assessment by id



## OpenAPI

````yaml get /api/v1/assessments/{id}
openapi: 3.1.0
info:
  title: Aegister API
  version: 1.0.3
servers: []
security: []
paths:
  /api/v1/assessments/{id}:
    get:
      tags:
        - assessments
      description: Retrieves assessment by id
      operationId: assessments_retrieve_2
      parameters:
        - in: path
          name: id
          schema:
            type: integer
          required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: integer
                    description: |-
                      Any value different from 0 indicates an error.  
                      More details can be found in `messages`.
                    minimum: 0
                    maximum: 0
                    examples:
                      - 0
                  messages:
                    type: array
                    description: >-
                      If `error` is `1`, contains zero or more details on the
                      error.
                    examples:
                      - []
                  data:
                    type: object
                    properties:
                      id:
                        type: number
                        description: Unique identifier for the Assessment.
                        examples:
                          - 5
                          - 10
                          - 15
                      created_at:
                        type: string
                        format: date-time
                        description: Timestamp of creation of the interview.
                      score:
                        type: number
                        description: Interview score.
                        examples:
                          - 100
                      name:
                        type: object
                        description: Assessment name
                        properties:
                          en:
                            type: string
                            description: Assessment name in English.
                            examples:
                              - Security Framework
                          it:
                            type: string
                            description: Assessment name in Italian.
                            examples:
                              - Framework di sicurezza
                      description:
                        type: object
                        description: Assessment description
                        properties:
                          en:
                            type: string
                            description: Assessment description in English.
                            examples:
                              - Security Framework description
                          it:
                            type: string
                            description: Assessment description in Italian.
                            examples:
                              - Descrizione del framework di sicurezza
          description: ''
        '404':
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: integer
                    description: |-
                      Any value different from 0 indicates an error.  
                      More details can be found in `messages`.
                    minimum: 0
                    maximum: 0
                    examples:
                      - 1
                  messages:
                    type: array
                    description: >-
                      If `error` is `1`, contains zero or more details on the
                      error.
                    examples:
                      - []
          description: ''
      security:
        - ApiKeyAuth: []
        - ApiKeyQueryParam: []
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-Aegister-Token
    ApiKeyQueryParam:
      type: apiKey
      in: query
      name: X-Aegister-Token

````